plconsol(3gv)

NAME
PLConsol() - polylist consolidator.

SYNOPSIS
Geom *PLConsol(Geom *g, float prec);

DESCRIPTION

PLConsol() is a function which takes a geom, which must be a polylist, as its argument and returns a version of the polylist which has no repeated vertices. Two vertices are considered to be identical if they are within prec of one another. The comparison takes into account only the location of the points, not their normals or colors.

The vertices of the resultant polyline have been sorted, and so there order bears no resemblance to the order of the point in the original polylist.

LINKING
PLConsol() is part of the geomutil library; see geomutil(3) for information on how to link your program with this library.

SEE ALSO
offconsol(1), geomview(1), geomutil(3)

AUTHOR
Celeste Fowler
The Geometry Center